fun()
{
    psql -d postgres -f sql/client_$1.sql >client$1.log 2>&1
    echo "client$1 finished." `date`
}

pg_ctl -D data_pub stop -m immediate
pg_ctl -D data_sub stop -m immediate
rm -rf data_pub data_sub pub.log sub.log client*.log

count=2
initdb -D data_pub -U postgres
initdb -D data_sub -U postgres

cat << EOF >> data_pub/postgresql.conf
wal_level = logical
autovacuum_naptime=1
EOF

cat << EOF >> data_sub/postgresql.conf
wal_level = logical
port = 5433
EOF

pg_ctl -D data_pub start -l pub.log
pg_ctl -D data_sub start -l sub.log

for i in `seq 1 $count`; do
    s=`printf "%02d" $i`
    psql -d postgres -c "create table test${s} (a int primary key, b varchar);"
    psql -d postgres -c "insert into test${s} SELECT i, md5(i::text) FROM generate_series(1, 100) s(i);"
    psql -d postgres -c "create publication pub${s} for table test${s};"
    psql -d postgres -p 5433 -c "create table test${s} (a int primary key, b text, c timestamptz DEFAULT now(), d bigint DEFAULT 999);"
    psql -d postgres -p 5433 -c "create subscription sub${s} connection 'dbname=postgres' publication pub${s}"
done;

sleep 10
echo synchronous_standby_names = \'any 2\(sub01, sub02\)\' >> data_pub/postgresql.conf
pg_ctl -D data_pub reload
sleep 5

for i in `seq 1 $count`; do
    s=`printf "%02d" $i`
    fun ${s} &
done

echo `date`

